Skip to main content
`Ctrl`+`K`

# DMInterpolationSetDim

Sets the spatial dimension for the interpolation context

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationSetDim(DMInterpolationInfo ctx, PetscInt dim)

Not Collective

## Input Parameters

- ctx - the context

- dim - the spatial dimension

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationGetDim()`, `DMInterpolationEvaluate()`, `DMInterpolationAddPoints()`

## Level

intermediate

## Location

src/snes/utils/dm/dminterpolatesnes.c

## Examples

src/ts/tutorials/ex77.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages